#include<stdio.h>
#include<conio.h>
#include<string.h>
main()
{
	char c1,c2;
	int a1,a2;
	scanf("%c%c",&c1,&c2);
	scanf("%d %d",&a1,&a2);	
	char string[10000];	
	for(int i=0;i<a1+a2;i++)
	{
		if(a1>=a2+2||a2>=a1+2)
		{
			printf("nemoguce");
			return 0;
		}
		if(a1>a2)
		{
			if(i%2==0)
			{
				strncat(string,&c1,1);
			}
			else
			{
				strncat(string,&c2,1);
			}
		}
		else
		{
			if(i%2==0)
			{
				strncat(string,&c2,1);
			}
			else
			{
				strncat(string,&c1,1);
			}	
		}
	}			
	printf("%s",string);
}